// Torque Input Map File
if (isObject(moveMap)) moveMap.delete();
new ActionMap(moveMap);
moveMap.bind(mouse0, "xaxis", yaw);
moveMap.bind(mouse0, "yaxis", pitch);
moveMap.bind(mouse0, "zaxis", handleMouseWheel);
moveMap.bind(mouse0, "button0", quickStrike);
moveMap.bind(mouse0, "button1", trigger0);
moveMap.bind(mouse0, "button2", trigger1);
moveMap.bind(keyboard, "u", toggleMessageHud);
moveMap.bind(keyboard, "l", dropWeapon);
moveMap.bind(keyboard, "p", resizeMessageHud);
moveMap.bind(keyboard, "shift b", showBoundingBoxes);
moveMap.bind(keyboard, "z", toggleFreeLook);
moveMap.bind(keyboard, "alt c", toggleCamera);
moveMap.bind(keyboard, "tab", toggleFirstPerson);
moveMap.bind(keyboard, "[", previousWeapon);
moveMap.bind(keyboard, "1", taunt0);
moveMap.bind(keyboard, "2", taunt1);
moveMap.bind(keyboard, "3", taunt2);
moveMap.bind(keyboard, "4", taunt3);
moveMap.bind(keyboard, "5", taunt4);
moveMap.bind(keyboard, "6", taunt5);
moveMap.bind(keyboard, "7", taunt6);
moveMap.bind(keyboard, "8", taunt7);
moveMap.bind(keyboard, "9", taunt8);
moveMap.bind(keyboard, "x", toggleNetStats);
moveMap.bind(keyboard, "return", gameModeTrig0);
moveMap.bindCmd(keyboard, "escape", "", "PlayerListGui.toggle();");
moveMap.bind(keyboard, "v", toggleDumbBot);
moveMap.bind(keyboard, "shift k", suicide);
moveMap.bind(keyboard, "]", nextWeapon);
moveMap.bind(keyboard, "f3", toggleInlineHelp);
moveMap.bind(keyboard, "f4", toggleAutoMove);
moveMap.bind(keyboard, "shift i", hideGui);
moveMap.bind(keyboard, "r", ccNextTarget);
moveMap.bind(keyboard, "w", moveforward);
moveMap.bind(keyboard, "s", movebackward);
moveMap.bind(keyboard, "a", moveleft);
moveMap.bind(keyboard, "d", moveright);
moveMap.bind(keyboard, "space", trigger2);
moveMap.bind(keyboard, "lcontrol", trigger5);
moveMap.bind(keyboard, "e", trigger3);
moveMap.bind(keyboard, "q", trigger4);
moveMap.bind(keyboard, "t", specialMove1);
moveMap.bind(keyboard, "y", specialMove2);
moveMap.bind(keyboard, "g", specialMove3);
moveMap.bind(keyboard, "lshift", trigger6);
moveMap.bind(keyboard, "minus", resetHoldControls);
